summaryrefslogtreecommitdiff
path: root/5x_cv/comparealgs_dv.sh
diff options
context:
space:
mode:
Diffstat (limited to '5x_cv/comparealgs_dv.sh')
-rwxr-xr-x5x_cv/comparealgs_dv.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/5x_cv/comparealgs_dv.sh b/5x_cv/comparealgs_dv.sh
new file mode 100755
index 0000000..1b7a7b4
--- /dev/null
+++ b/5x_cv/comparealgs_dv.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+if [ $# -ne 4 ]; then
+ echo "\"validation_uri1,validation_uri2,...\" \"identifier1,identifier2,...\" \"significance [0.95-0.6]\" \"attributes: weighted_r_square,weighted_root_mean_squared_error,weighted_mean_absolute_error,r_square,root_mean_squared_error,sample_correlation_coefficient\""
+ exit 1
+fi
+
+uris="$1"
+iden="$2"
+signi="$3" #default 0.9; 0.95 - 0.6
+attri="$4" #weighted_r_square,weighted_root_mean_squared_error,weighted_mean_absolute_error,r_square,root_mean_squared_error,sample_correlation_coefficient
+host="toxcreate3.in-silico.ch:8080"
+
+curl -X POST -d "validation_uris=$uris" -d "identifier=$iden" -d "ttest_significance=$signi" -d "ttest_attributes=$attri" http://$host/validation/report/algorithm_comparison